// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1
import com.nokia.meego 1.0

Page {
    id: aboutPage
    anchors { fill: parent; margins: 16 }

    Image {
        id: appIcon
        source: "/usr/share/icons/hicolor/80x80/apps/loancalc80.png"
        anchors { top: parent.top; horizontalCenter: parent.horizontalCenter }
        visible: (appWindow.pageStack.depth !== 1) ? true : false
    }

    Label {
        id: appName
        anchors {
            top: appIcon.bottom
            topMargin: 16
            horizontalCenter: parent.horizontalCenter
        }

        text: appInfo.getApplicationName() + " V" + appInfo.getApplicationVersion()
              + "\n(C) 2012 " + appInfo.getOrganizationName() + "\n"
        horizontalAlignment: Text.AlignHCenter
        visible: true
    }

    Column {
        id: buttonsColumn
        spacing: 15
        anchors { bottom: parent.bottom; horizontalCenter: parent.horizontalCenter }
        visible: (appWindow.pageStack.depth !== 1) ? true : false

        Button {
            text: "Website"

            onClicked: Qt.openUrlExternally("http://users.tpg.com.au/scl77/loancalc/index.html")
        }

        Button {
            text: "Close"

            onClicked: {
                pageStack.pop();
            }
        }
    }

    Flickable {
        id: flickText

        clip: true
        contentHeight: helpText.height

        anchors {
            top: appName.bottom;
            bottom: buttonsColumn.top
            bottomMargin: 20
            left: parent.left
            right: parent.right
        }

        Column {
            id: helpText
            width: aboutPage.width

            Label {
                width: parent.width
                wrapMode: Text.WordWrap
                visible: (appWindow.pageStack.depth !== 1) ? true : false
                text: "Loancalc is a loan repayment calculator that can give you a quick estimate of your "
                      + "monthly, fortnightly and weekly loan repayment amount on your N9."
                      + "\n\nTerms of Use:\nThis app is provided 'as is', without warranty of any kind, express "
                      + "or implied. In no event shall the author(s) or direct or indirect associated parties or "
                      + "copyright holder(s) be liable for any claim, damages or other liability, whether in an "
                      + "action of contract, tort or otherwise, arising from, out of or in connection with the "
                      + "software or the use of other dealings in the software."
            }
        }
    }

    //! Scroll decorator for the flickable area
    ScrollDecorator {
        flickableItem: flickText
    }
}
