import QtQuick 1.1
import com.nokia.meego 1.0
import QtMobility.systeminfo 1.2
import com.samclan.loancalc 1.0

PageStackWindow {
    id: appWindow

    initialPage: mainPage

    MainPage {
        id: mainPage
    }

    //!  Making new component and pushing created page to the stack.
    function openFile(file) {
        var component = Qt.createComponent(file)
        if (component.status === Component.Ready)
            pageStack.push(component);
        else
            console.log("Error loading component:", component.errorString());
    }

    function initializeFont(fontname,fontsize,fontbold) {
        var fontLoader = Qt.createQmlObject("import QtQuick 1.0; Text { font.family: \""+ fontname +"\"; font.pixelSize: "+fontsize+"; font.bold: "+fontbold+" }",appWindow,"fontLoader");
        var loadedFont = fontLoader.font; fontLoader.destroy();
        return loadedFont;
    }

    AppInfo {
        id: appInfo
    }

    Component.onCompleted: {

        uiConstants = {
            "DefaultMargin" : 16,
            "ButtonSpacing" : 6,
            "HeaderDefaultHeightPortrait" : 72,
            "HeaderDefaultHeightLandscape" : 46,
            "HeaderDefaultTopSpacingPortrait" : 20,
            "HeaderDefaultBottomSpacingPortrait" : 20,
            "HeaderDefaultTopSpacingLandscape" : 16,
            "HeaderDefaultBottomSpacingLandscape" : 14,
            "ListItemHeightSmall" : 64,
            "ListItemHeightDefault" : 80,
            "IndentDefault" : 16,
            "GroupHeaderHeight" : 40,
            "BodyTextFont" : initializeFont("Nokia Pure Text Light", 24, false),
            "GroupHeaderFont" : initializeFont("Nokia Pure Text", 18, true),
            "HeaderFont": initializeFont("Nokia Pure Text Light", 32, false),
            "TitleFont" : initializeFont("Nokia Pure Text", 26, true),
            "SmallTitleFont" : initializeFont("Nokia Pure Text", 24, true),
            "FieldLabelFont" : initializeFont("Nokia Pure Text Light", 22, false),
            "FieldLabelColor" : "#505050",
            "SubtitleFont" : initializeFont("Nokia Pure Text Light", 22, false),
            "InfoFont" : initializeFont("Nokia Pure Text Light", 18, false)
        };
    }
}
